# Tarfile created using git
# git clone git://gitorious.org/meego-netbook-ux/meego-panel-pasteboard.git
# git archive --format=tar --prefix=meego-panel-pasteboard-%{version}/ %{version} | bzip2 > %{name}-%{version}.tar.bz2
%define tarfile %{name}-%{version}.tar.bz2

Name:          meego-panel-pasteboard
Version:       0.0.8
Release:       3%{?dist}
Summary:       MeeGo Panel for Paste Board

Group:         User Interface/Desktops
License:       GPLv2+
URL:           http://www.meego.org
Source0:       %{tarfile}

BuildRequires: clutter-devel
BuildRequires: dbus-glib-devel
BuildRequires: gtk3-devel
BuildRequires: libmx-devel
BuildRequires: mutter-meego-devel
BuildRequires: intltool

# Require these because the git tarball doesn't have the configure built
BuildRequires: libtool
BuildRequires: gnome-common

Requires: dbus

%description
The MeeGo panel for Paste Board.

%prep
%setup -q

# run autogen.sh until we have a proper release, but don't run configure twice.
NOCONFIGURE=true ./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_libexecdir}/meego-panel-pasteboard
%{_datadir}/dbus-1/services/com.meego.UX.Shell.Panels.pasteboard.service
%{_datadir}/%{name}
%{_datadir}/mutter-meego/panels/meego-panel-pasteboard.desktop

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec  6 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.8-2
- Rebuild for gtk3

* Mon Sep 27 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.8-1
- New upstream 0.0.8 release
- Rename from moblin to meego

* Mon Jul  5 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.6-2
- Rebuild for new libmx

* Fri Jun 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.6-1
- New upstream 0.0.6 release

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.2-2
- New upstream 0.0.2 release

* Wed Aug 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.1-1
- Initial packaging
